<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/xml" prefix="x" %>
<%@ taglib prefix="form" uri="http://www.springframework.org/tags/form" %>
<%@ taglib prefix="tiles" uri="http://tiles.apache.org/tags-tiles" %>

	<div class="page-header">
	<h1>Documentation</h1>
	</div>
	
	<p>Current version: <c:out value="${version}"></c:out></p>
	
	<p>Status: <c:out value="${status}"></c:out></p>
	
	<p>XML WADL Base: <x:out select="$wadl//@base" /></p>
	
	<ul>
      <x:forEach var="resources" select="$wadl//*[name()='resources']">
        <li>
        	
        	<h2><x:out select="@base" /></h2>
        	<ul>
		      <x:forEach var="resource" select="$resources//*[name()='resource']">
		      	<c:set var="url"><x:out select="@path" /></c:set>
		        <li><a href="<c:url value='/documentation/?resource=${url}'/>"><x:out select="@path" /></a></li>
		      </x:forEach>
		    </ul>
        
        </li>
      </x:forEach>
    </ul>
	
	<p>Lorem Ipsum is simply dummy text of the printing and typesetting industry. Lorem Ipsum has been the industry's standard dummy text ever since the 1500s, when an unknown printer took a galley of type and scrambled it to make a type specimen book. It has survived not only five centuries, but also the leap into electronic typesetting, remaining essentially unchanged. It was popularised in the 1960s with the release of Letraset sheets containing Lorem Ipsum passages, and more recently with desktop publishing software like Aldus PageMaker including versions of Lorem Ipsum.</p>
