<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions" %>

<c:set var="url" value="${requestScope['javax.servlet.forward.request_uri']}"/>
<c:set var="context" value="${pageContext.request.contextPath}"/>
<c:set var="path" value="${fn:replace(url,context,'')}"/>

<div class="navbar-inner">
	<div class="container">

		<a class="brand" href="<c:url value="/"/>">primaERP for Developers</a>

		<ul class="nav">
			<li <c:if test="${path == '/'}"> class="active"</c:if>><a href="<c:url value="/"/>">Home</a></li>
			<li <c:if test="${fn:startsWith(path,'/info')==true}"> class="active"</c:if>><a href="<c:url value="/info"/>">Informations</a></li>
			<li <c:if test="${fn:startsWith(path,'/status')==true}"> class="active"</c:if>><a href="<c:url value="/status"/>">Status</a></li>
			<li <c:if test="${fn:startsWith(path,'/docs')==true}"> class="active"</c:if>><a href="<c:url value="/docs"/>">Documentation</a></li>
			<li <c:if test="${fn:startsWith(path,'/backlog')==true}"> class="active"</c:if>><a href="<c:url value="/backlog"/>">Backlog</a></li>
			<li <c:if test="${fn:startsWith(path,'/test')==true}"> class="active"</c:if>><a href="<c:url value="/test"/>">Test</a></li>
		</ul>

<!-- 		<p class="navbar-text pull-right"> -->
<!-- 			Logged in as <a href="#">username</a> -->
<!-- 		</p> -->

	</div>
</div>
<p>

</p>
