<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/xml" prefix="x" %>
<%@ taglib prefix="form" uri="http://www.springframework.org/tags/form" %>
<%@ taglib prefix="tiles" uri="http://tiles.apache.org/tags-tiles" %>

	<style type="text/css">
		.sidebar-nav {
		  padding: 9px 0;
		}
		h3 {clear:both; margin-top: 20px; }
		.userstories { list-style: none; padding: 0px; margin: 0px; }
		.userstories li { display: block; padding: 10px; margin: 0px 10px 10px 0; }
		.userstories li { border: 1px solid #efefef; border-radius: 5px; box-shadow: 0 8px 6px -6px #efefef; }

    </style>
    
<!--     <p>RAW STRING:</p> -->
<%-- 	<pre><c:out value="${featuresJsonString}"></c:out></pre> --%>
	
<!-- 	<p>RAW ARRAY:</p> -->
<%-- 	<pre><c:out value="${featuresJsonArray}"></c:out></pre> --%>
	
	<div class="page-header">
	<h1>Targetprocess backlog for API</h1>
	</div>
	
	<div class="row">
	  <div class="span3">

          <div class="well sidebar-nav">
            <ul id="filters" class="nav nav-list">
            	<li><a href="#filter" data-filter="*">[Show all]</a></li>
		 		<x:forEach var="feature" select="$featuresDocument//*[name()='Feature']">
			
					<c:set var="hashName">#<x:out select="@Id" /></c:set>	
					<c:set var="filter">.<x:out select="@Id" /></c:set>		
			
					<li><a href="#filter" data-filter="${filter}"><x:out select="@Name" /></a></li>
					
				</x:forEach> 		
			</ul>
		</div>
	  
	  </div>
	  <div class="span9">
	  
	  	<div id="container">
	
			<x:forEach var="feature" select="$featuresDocument//*[name()='Feature']">
			
				<c:set var="url">https://primaerp.tpondemand.com/RestUI/TpView.aspx?acid=0214A2164CA5D404D2BAC11D3FF1A39F#feature/<x:out select="@Id" />||{"tab":"userStories"}</c:set>
				<c:set var="hashName"><x:out select="@Id" /></c:set>	
				
				<div class="${hashName}">
					<h3 id="${hashName}"><a href='${url}' target="_blank"><x:out select="@Name" /></a></h3>			
					<ul class="userstories">
						<x:set var="featureId" select="@Id"/>
						<x:forEach var="userStory" select="$storiesDocument//*[Feature/@Id=$featureId]">
							<li>
								<span class="label label-info"><x:out select="@Id" /></span>
								<x:out select="@Name" />
							</li>
						</x:forEach>
					</ul>
				</div>
		
			</x:forEach>
		
		</div>
	
	</div>
	</div>

